/**********************************************************
RunUO AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by Red Squirrel on Aug-08-2011 09:29:14pm
Filepath: scripts\Items\artifacts\Artifacts of Assimilation\lessers\warriorsbow.cs
Lines of code: 43

Description: 

***********************************************************/


using Server;
using System;

namespace Server.Items
{
	
	public class warriorsbow : HeavyCrossbow
	{
		public override int InitMinHits{ get{ return 255; } }
		public override int InitMaxHits{ get { return 255; } }

		[Constructable]
		public warriorsbow() : base()
		{
			Name="Warrior's Bow";
			Hue=1001;	
			WeaponAttributes.UseBestSkill = 1;			
			Attributes.WeaponDamage=50;
			Attributes.LowerAmmoCost=10;
		}
		


		public warriorsbow( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 2 );
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();

			if ( version <= 1 )
			{
				MaxHitPoints = 255;
				HitPoints = 255;
			}

			if( version == 0 )
				SkillBonuses.SetValues( 0, SkillName.AnimalLore, 5.0 );
		}
		
		public override void OnAfterLoad()
		{		
			Misc.ObjectConverter.ConvertItem(this,new Elegance());
		}		
	}
	
}